import { AvatarProps } from '../avatar/itlab-avatar.vue';
type ListItemUserProps = AvatarProps & {
    disabled?: boolean;
};
declare var __VLS_16: {}, __VLS_23: {};
type __VLS_Slots = {} & {
    start?: (props: typeof __VLS_16) => any;
} & {
    end?: (props: typeof __VLS_23) => any;
};
declare const __VLS_base: import('vue').DefineComponent<ListItemUserProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    click: (data: MouseEvent) => any;
}, string, import('vue').PublicProps, Readonly<ListItemUserProps> & Readonly<{
    onClick?: ((data: MouseEvent) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const __VLS_export: __VLS_WithSlots<typeof __VLS_base, __VLS_Slots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
